# Generated by Django 2.2.14 on 2020-07-17 12:25

from django.db import migrations


def remove_tag_artifacts_up(apps, schema_editor):
    Tag = apps.get_model('container', 'Tag')
    for tag in Tag.objects.all():
        tag._artifacts.clear()


def remove_tag_artifacts_down(apps, schema_editor):
    Tag = apps.get_model('container', 'Tag')
    for tag in Tag.objects.all():
        if tag.tagged_manifest:
            tag._artifacts.add(tag.tagged_manifest._artifacts.get())


class Migration(migrations.Migration):

    dependencies = [
        ('container', '0006_containerpushrepository'),
    ]

    operations = [
        migrations.RunPython(remove_tag_artifacts_up, remove_tag_artifacts_down, elidable=True)
    ]
