# Generated by Django 4.2.16 on 2024-10-30 11:09
import warnings

from django.db import migrations, models

def print_warning_for_updating_manifest_fields(apps, schema_editor):
    warnings.warn(
        "Run 'pulpcore-manager container-handle-image-data' to update the manifests' "
        "os, architecture, and compressed_image_size fields."
    )

class Migration(migrations.Migration):

    dependencies = [
        ('container', '0042_add_manifest_nature_field'),
    ]

    operations = [
        migrations.AddField(
            model_name='manifest',
            name='architecture',
            field=models.TextField(null=True),
        ),
        migrations.AddField(
            model_name='manifest',
            name='compressed_image_size',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='manifest',
            name='os',
            field=models.TextField(null=True),
        ),
        migrations.AlterField(
            model_name='manifestlistmanifest',
            name='architecture',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='manifestlistmanifest',
            name='os',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.RunPython(
            print_warning_for_updating_manifest_fields,
            reverse_code=migrations.RunPython.noop,
            elidable=True,
        ),
    ]
